Bug 34194 - [BREWMP] Add conversions between IntPoint and AEEPoint
: [BREWMP] Add conversions between IntPoint and AEEPoint
Status: RESOLVED FIXED
: WebKit
Platform
: 528+ (Nightly build)
: Other Other
: P2 Normal
Assigned To:
:
:
:
: 33564
  Show dependency treegraph
 
Reported: 2010-01-26 20:07 PST by
Modified: 2010-02-02 02:27 PST (History)


Attachments
Add conversions between IntPoint and AEEPoint (3.40 KB, patch)
2010-01-26 20:12 PST, Kwang Yul Seo
eric: review+
Review Patch | Details | Formatted Diff | Diff
Add conversions between IntPoint and AEEPoint (3.35 KB, patch)
2010-02-01 16:48 PST, Kwang Yul Seo
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-01-26 20:07:57 PST
AEEPoint is the data type used by BREWMP to represent a point.
------- Comment #1 From 2010-01-26 20:12:12 PST -------
Created an attachment (id=47486) [details]
Add conversions between IntPoint and AEEPoint
------- Comment #2 From 2010-02-01 15:40:48 PST -------
(From update of attachment 47486 [details])
4     : m_x(static_cast<int>(point.x))
 35     , m_y(static_cast<int>(point.y))

Why do you need static_cast?  Shouldn't an int16 expand to an int32 without cast?

Otherewise looks fine.
------- Comment #3 From 2010-02-01 16:48:28 PST -------
Created an attachment (id=47880) [details]
Add conversions between IntPoint and AEEPoint

Eric, you are right. I removed static_cast from int16 to int32.
------- Comment #4 From 2010-02-02 02:27:27 PST -------
(From update of attachment 47880 [details])
Clearing flags on attachment: 47880

Committed r54219: <http://trac.webkit.org/changeset/54219>
------- Comment #5 From 2010-02-02 02:27:34 PST -------
All reviewed patches have been landed.  Closing bug.